Logo

Docs

Match

Endpoints

Match endpoint reference.

GET
/match/{type}

Path Parameters

type*string

Query Parameters

name*string

Resource name.

album?string

Album name. Used for song matching.

artist?string

Artist name. Used for song and album matching.

include?string

Comma-separated relationships to include. Includes are limited to one relationship level. Songs support albums and artists. Albums support artists.

Response Body

application/json

application/json

curl -X GET "https://example.com/match/song?name=string&include=albums%2Cartists"
{  "data": {    "id": "omm:song:1",    "type": "song",    "attributes": {      "name": "string",      "albumName": "string",      "artistName": "string",      "isrc": "string",      "artworkUrl": "string",      "trackNumber": 1,      "discNumber": 1,      "genres": [        "string"      ],      "releaseDate": "string",      "durationMs": 0    },    "relationships": {      "albums": {        "data": [          {            "id": "omm:song:1",            "type": "album",            "attributes": {              "name": "string",              "trackCount": 0,              "artistName": "string",              "artworkUrl": "string",              "upc": "string",              "genres": [                "string"              ],              "releaseDate": "string"            },            "relationships": {              "artists": {                "data": [                  {                    "id": "omm:song:1",                    "type": "artist",                    "attributes": {                      "name": "string",                      "artworkUrl": "string"                    }                  }                ]              }            }          }        ]      },      "artists": {        "data": [          {            "id": "omm:song:1",            "type": "artist",            "attributes": {              "name": "string",              "artworkUrl": "string"            }          }        ]      }    }  }}
{  "error": {    "status": 100,    "message": "string",    "details": [      {        "message": "string",        "param": "string",        "value": null      }    ],    "requestId": "string"  }}